
function dummy = showmesh(tri,x,y,varargin)

% usage: showmesh(tri,x,y,plotoptions)
% or: showmesh(tri,x,y)

h = ishold;
subplot(1,1,1)
E = listedges(tri);
NE = size(E,1);
for e = 1:NE
    x1 = x(E(e,1));
    x2 = x(E(e,2));
    y1 = y(E(e,1));
    y2 = y(E(e,2));
    plot([x1 x2],[y1 y2],varargin{:})
    hold on
end
if ~h
   hold off
end
xmin = min(x);
xmax = max(x);
ymin = min(y);
ymax = max(y);
axis([xmin xmax ymin ymax])
