
function Tri = initmultitri(tri)

% usage: Tri = initmultitri(tri);
% initializes multiscale tringularization. A plain triangularization contains
% three columns describing on each row which points belong to a triangular.
% This data structure adds two more columns: the fourth to indicate in which
% step a triangular is introduced (is 0 if triangular exists upon starting the
% wavelet transform) and a fifth for the step in which a trinagular is
% removed (is 0 if the triangular is never removed)
n = size(tri,1);
Tri = [tri zeros(n,2)];
