
function trij = leveltri(tri,j)

% usage: trij = leveltri(tri,j);
% tri is multiscale triangulation
% output trij is triangulation at scale j
% see also: showmultitri

r = find((tri(:,4)<=j) & ( (tri(:,5)>j) | (tri(:,5)==0) ));
trij = tri(r,1:3);
