
function B = pointonline(x0,y0,x1,y1,x2,y2);

% usage: B = pointonline(x0,y0,x1,y1,x2,y2);
% cfr. pointinedge.m

eps = 1.e-6;

B1 = colinear(x0,y0,x1,y1,x2,y2);
B2 = ((x0-x1).*(x2-x0)>eps);
B3 = ((y0-y1).*(y2-y0)>eps);
B = B1 & (B2 | B3);
