
function F = poscumcaulik0(v,w);

% usage: F = poscumcaulik0(v,w);

ww = w + (w == 0);
F0 = ((v.^2+1).*cumgauss(v) + v.*gauss(v))/2;
F1 = exp(-ww.^2/2).*(v./ww - 1./ww.^2).*exp(v.*ww).*(cumgauss(v));
F2 = gauss(v-ww)./ww + cumgauss(v-ww)./ww.^2;
F = (F0 .* (w == 0) + (F1 + F2) .* (w ~= 0))/sqrt(2*pi);
