
function F = poscumcaulik1(v,w);

% usage: F = poscumcaulik1(v,w);

vneg = v.*(v < 0);
vpos = v.*(v >= 0);

Fneg = poscumcaulik0(vneg,w);
Fpos = caucongau(w) - poscumcaulik0(-vpos,-w);
F = Fneg.*(v < 0) + Fpos.*(v >= 0);
F = F./caucongau(w);
