
function F = poscump0caulik1(v,w,p);

% usage: F = poscump0caulik1(v,w,p);

q = 1-p;
ppos = p*caucongau(w)./(p*caucongau(w) + q*gauss(w));
qpos = 1-ppos;

F = qpos.*(v >= 0) + ppos .* poscumcaulik1(v,w);
