
function [xp, yp] = projectpointonline(x,y,a,b);

% usage: [xp, yp] = projectpointonline(x,y,a,b);
% projection of point (x,y) onto line y = a + bx

if abs(b) == Inf,
   yp = y;
   xp = a*ones(size(x));
else
   xp = (x+b*y-a*b)/(1+b^2);
   yp = a + b*xp;
end
