
smkrill2
N = length(x);
M = N-10;
[w, tri, poslist, I] = FWT2_2GLS(x,y,z,M);
C = sparse(eye(N));
Q = cormatWTLS(x,y,C,tri,poslist);
sig = sqrt(diag(full(Q)));
plot(w(poslist))
[wout ppvec] = bayesshrink(w(poslist),sqrt(abs(I(poslist))),sig(poslist));
wshr = w;
wshr(poslist) = wout;
fshr = IWT2_2GLS(x,y,wshr,tri,poslist,I);


figure(1)
plotascircles(x,y,sqrt(max(z,0))/14);
title('observations')
figure(2)
plot(x,y)
hold on
plot(x,y,'o')
hold off
title('sample locations and ship route')
tri0 = inittri(x,y);
figure(3)
showmesh(tri0,x,y)
title('triangulation of sample locations')
figure(4)
trisurf(tri0,x,y,sqrt(max(z,0))/14);
shading faceted;
cmap = [(0:255)' (0:255)' (0:255)']/256;
% cmap = sqrt(cmap);
% cmap = sqrt(cmap);
colormap(cmap)
brighten(.8)
title('triangulated surface in 3D')

